## gxtuner 1.3

=== Makefile ===
## makefile for gxtuner by @brummer
## please edit to your needs

## set the install Path for gxtuner
	PREFIX = /usr
	BIN_DIR = $(PREFIX)/bin
	SHARE_DIR = $(PREFIX)/share
	DESKAPPS_DIR = $(SHARE_DIR)/applications
	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps

all    :
	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' > config.h
	@echo "build . . gxtuner"
	$(CXX) -O2 -Wall -march=native  -ffast-math -lzita-resampler `pkg-config --cflags --libs jack gtk+-2.0 gthread-2.0 fftw3f` gxtuner.cpp  -o gxtuner
	@echo "build finish, now run make install"

install:
	install gxtuner $(DESTDIR)$(BIN_DIR)
	install gxtuner.desktop $(DESTDIR)$(DESKAPPS_DIR)
	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
	@echo "gxtuner installation finish,  exit"

clean  :
	rm -rf gxtuner
	rm -rf config.h
	rm -rf *-stamp
	rm -rf *~
	@echo "clean, . . . finish"
uninstall :
	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
	@echo "uninstall gxtuner, . . . finish"

=== debian/changelog ===
gxtuner (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Jul 2011 22:50:53 +0200

gxtuner (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 27 Jul 2011 20:58:13 +0200

gxtuner (1.0-1) unstable; urgency=low

  * Initial release (Closes: #635266)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2011 14:44:54 +0200

=== debian/control ===
Source: gxtuner
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libjack-dev,
 libzita-resampler-dev,
 libfftw3-dev,
 libgtk2.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
Homepage: http://guitarix.sourceforge.net/

Package: gxtuner
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tuner for Jack
 A simple, small and lightweight guitar/bass tuner for jack.
 Gxtuner comes with a analogue like interface (scale),
 show the tune (char) and the accumulated frequency (Hz).
 .
 It's a break out of the guitarix tuner module.

## gxtuner 1.6

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,24 @@
 	SHARE_DIR = $(PREFIX)/share
 	DESKAPPS_DIR = $(SHARE_DIR)/applications
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
+	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
+	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
+## set to NO to disable jack_session support
+	JACK_SESSION  = YES
 
 all    :
 	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' > config.h
+ifneq ($(JACK_SESSION), YES)
 	@echo "build . . gxtuner"
-	$(CXX) -O2 -Wall -march=native  -ffast-math -lzita-resampler `pkg-config --cflags --libs jack gtk+-2.0 gthread-2.0 fftw3f` gxtuner.cpp  -o gxtuner
+	@echo ''
+	@echo '-->> to enable JACK SESSION SUPPORT,'
+	@echo '     please edit the Makefile'
+	@echo ''
+else
+	@echo "build gxtuner with jack_session support"
+	@echo '#define HAVE_JACK_SESSION 1' >> config.h 
+endif
+	$(CXX) $(LDFLAGS) $(CFLAGS) cmdparser.cpp gxtuner.cpp $(LIBS) -o gxtuner
 	@echo "build finish, now run make install"
 
 install:

=== debian/changelog ===
gxtuner (1.6-1) unstable; urgency=low

  * New upstream release.
  * Updated man page.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 11 Dec 2011 21:55:44 +0100

gxtuner (1.5-1) unstable; urgency=low

  * New upstream release.
  * Updated man page
  * Removed patch - applied upstream
  * Updated watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 09 Dec 2011 16:42:06 +0100

gxtuner (1.4-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Set DM-Upload-Allowed: yes

  [ Jaromír Mikeš ]
  * Added menu file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Dec 2011 08:54:10 +0100

=== debian/watch ===
version=3
http://sf.net/guitarix/gxtuner-([\d.]+).\nopkg\.tar\.bz2

## gxtuner 1.7

=== Makefile ===
## makefile for gxtuner by @brummer
## please edit to your needs
## set the install Path for gxtuner

	PREFIX = /usr
	BIN_DIR = $(PREFIX)/bin
	SHARE_DIR = $(PREFIX)/share
	DESKAPPS_DIR = $(SHARE_DIR)/applications
	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
	VER = 1.7
	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o main.o
	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -c gpl -i >/dev/null
	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
	#SOURCES =$(OBJS:%.o=%.cpp)

	## output style (bash colours)
	BLUE = "\033[1;34m"
	BROWN = "\033[0;33m"
	GREEN = "\033[0;32m"
	LGREEN = "\033[1;32m"
	RED =  "\033[1;31m"
	NONE = "\033[0m"

gxtuner : config $(OBJS) build check
	@

build :
	@rm -rf gxtuner
	@echo $(BROWN)
	- $(CXX) $(LDFLAGS) $(CFLAGS) $(OBJS) $(LIBS) -o gxtuner

check :
	@if [ -f ./gxtuner ]; then echo $(BLUE)"build finish, now run make install"; \
	else echo $(RED)"sorry, build failed"; fi
	@echo $(NONE)

config :
	@echo '#define VERSION  "$(VER)"' > config.h
	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h
	@echo '#ifndef HAVE_JACK_SESSION' >> config.h 
	@echo '#define HAVE_JACK_SESSION 1' >> config.h 
	@echo '#endif' >> config.h 
	@echo  ""
	@echo  $(LGREEN)"build gxtuner with jack_session support"$(GREEN)
	@echo  ""

nosession : nconf $(OBJS) build check
	@

nconf :
	@echo '#define VERSION  "$(VER)"' > config.h
	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h
	@echo  ""
	@echo $(RED)"build gxtuner without jack_session support !!"$(GREEN)
	@echo  ""

jacktuner.o : jacktuner.cpp jacktuner.h config.h
	@rm -rf jacktuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c jacktuner.cpp

gxtuner.o : gxtuner.cpp gxtuner.h config.h
	@rm -rf gxtuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c gxtuner.cpp

cmdparser.o : cmdparser.cpp cmdparser.h
	@rm -rf cmdparser.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c cmdparser.cpp

pitchtracker.o : pitchtracker.cpp pitchtracker.h
	@rm -rf pitchtracker.o
	$(CXX) $(LDFLAGS) $(CFLAGS) -c pitchtracker.cpp

main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h
	@rm -rf main.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c main.cpp

install :
	install gxtuner $(DESTDIR)$(BIN_DIR)
	install gxtuner.desktop $(DESTDIR)$(DESKAPPS_DIR)
	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
	@echo $(BLUE)"gxtuner installation finish,"$(NONE)

clean :
	@echo $(RED)"clean up,"
	@rm -rf gxtuner config.h *-stamp *~ *.o
	@echo ". ." $(BLUE)", done"$(NONE)

clean-full :
	@echo $(RED)"clean up,"
	@rm -rf gxtuner config.h *-stamp *~ *.o
	@rm -rf ./debian/*.log ./debian/*.substvars ./debian/gxtuner
	@echo ". ." $(BLUE)", done"$(NONE)

tar : clean-full
	@cd ../ && \
	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner-$(VER)
	@echo $(LGREEN)"build gxtuner-"$(VER)".tar.bz2"$(NONE)

dist-tar : clean
	@cd ../ && \
	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner-$(VER) --exclude=debian
	@echo $(LGREEN)"build gxtuner-"$(VER)"-nopkg.tar.bz2"$(NONE)

deb : 
	@rm -rf ./debian
	@echo $(BLUE)"try to build debian package, that may take some time"$(NONE)
	-@ $(CREATEDEB)
	-@echo $(DIRS) > ./debian/dirs
	-@ if $(BUILDDEB); then echo ". ." $(GREEN)", done"$(NONE); else \
     echo $(RED)"sorry, build fail"$(NONE); fi

uninstall :
	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
	@echo $(RED)"uninstall gxtuner, . . . finish"$(NONE)

=== debian/changelog ===
gxtuner (1.7-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 14 Dec 2011 16:55:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libfftw3-dev,
  libgtk2.0-dev
 Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/

## gxtuner 1.8

=== Makefile ===
## makefile for gxtuner by @brummer
## please edit to your needs
## set the install Path for gxtuner

	PREFIX = /usr
	BIN_DIR = $(PREFIX)/bin
	SHARE_DIR = $(PREFIX)/share
	DESKAPPS_DIR = $(SHARE_DIR)/applications
	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
	VER = 1.8
	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o paintbox.o tuner.o main.o
	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -c gpl -i >/dev/null
	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
	#SOURCES =$(OBJS:%.o=%.cpp)

	## output style (bash colours)
	BLUE = "\033[1;34m"
	BROWN = "\033[0;33m"
	GREEN = "\033[0;32m"
	LGREEN = "\033[1;32m"
	RED =  "\033[1;31m"
	NONE = "\033[0m"

gxtuner : config
	@$(MAKE) check

build : $(OBJS)
	@rm -rf gxtuner
	@echo $(BROWN)
	- $(CXX) $(LDFLAGS) $(CFLAGS) $(OBJS) $(LIBS) -o gxtuner

check : build
	@if [ -f ./gxtuner ]; then echo $(BLUE)"build finish, now run make install"; \
	else echo $(RED)"sorry, build failed"; fi
	@echo $(NONE)

config :
	-@if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
    echo ''; else \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    echo '#ifndef HAVE_JACK_SESSION' >> config.h ;\
    echo '#define HAVE_JACK_SESSION 1' >> config.h ; \
    echo '#endif' >> config.h  ;\
    fi;
	@echo  "" 
	@echo  $(LGREEN)"build gxtuner with jack_session support"$(GREEN)
	@echo  ""
	

nosession : nconf
	@$(MAKE) check

nconf :
	-@if [ -f ./config.h 2>/dev/null ] ; then \
    if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    fi; else \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    fi;
	@echo  "" 
	@echo $(RED)"build gxtuner without jack_session support !!"$(GREEN)
	@echo  ""

jacktuner.o : jacktuner.cpp jacktuner.h config.h
	@rm -rf jacktuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c jacktuner.cpp

gxtuner.o : gxtuner.cpp gxtuner.h 
	@rm -rf gxtuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c gxtuner.cpp

cmdparser.o : cmdparser.cpp cmdparser.h config.h
	@rm -rf cmdparser.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c cmdparser.cpp

pitchtracker.o : pitchtracker.cpp pitchtracker.h
	@rm -rf pitchtracker.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c pitchtracker.cpp

gtkknob.o : gtkknob.cc gtkknob.h
	@rm -rf gtkknob.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c gtkknob.cc

tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h
	@rm -rf tuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c tuner.cpp

paintbox.o : paintbox.cpp paintbox.h frame.h
	@rm -rf paintbox.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c paintbox.cpp

main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h
	@rm -rf main.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c main.cpp

install :
	@mkdir -p $(DESTDIR)$(BIN_DIR)
	@mkdir -p $(DESTDIR)$(DESKAPPS_DIR)
	@mkdir -p $(DESTDIR)$(PIXMAPS_DIR)
	install gxtuner $(DESTDIR)$(BIN_DIR)
	install gxtuner.desktop $(DESTDIR)$(DESKAPPS_DIR)
	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
	@echo $(BLUE)"gxtuner installation finish,"$(NONE)

clean :
	@echo $(RED)"clean up,"
	@rm -rf gxtuner config.h *-stamp *~ *.o
	@echo ". ." $(BLUE)", done"$(NONE)

clean-full :
	@echo $(RED)"clean up,"
	@rm -rf gxtuner config.h *-stamp *~ *.o
	@rm -rf ./debian/*.log ./debian/*.substvars ./debian/gxtuner
	@echo ". ." $(BLUE)", done"$(NONE)

tar : clean-full
	@cd ../ && \
	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner-$(VER)
	@echo $(LGREEN)"build gxtuner-"$(VER)".tar.bz2"$(NONE)

dist-tar : clean
	@cd ../ && \
	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner-$(VER) --exclude=debian
	@echo $(LGREEN)"build gxtuner-"$(VER)"-nopkg.tar.bz2"$(NONE)

deb : 
	@rm -rf ./debian
	@echo $(BLUE)"create ./debian"$(NONE)
	-@ $(CREATEDEB)
	@ #@echo $(BLUE)"touch ./debian/dirs"$(NONE)
	@ #-@echo $(DIRS) > ./debian/dirs
	@echo $(BLUE)"try to build debian package, that may take some time"$(LGREEN)
	-@ if $(BUILDDEB); then echo ". ." $(BLUE)", done"$(NONE); else \
     echo $(RED)"sorry, build fail"$(NONE); fi
	@rm -rf ./debian

uninstall :
	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
	@echo $(RED)"uninstall gxtuner, . . . finish"$(NONE)

=== debian/changelog ===
gxtuner (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 17 Dec 2011 23:44:22 +0100

## gxtuner 2.0

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,18 @@
 ## please edit to your needs
 ## set the install Path for gxtuner
 
+    #@defines
 	PREFIX = /usr
 	BIN_DIR = $(PREFIX)/bin
 	SHARE_DIR = $(PREFIX)/share
 	DESKAPPS_DIR = $(SHARE_DIR)/applications
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
-	VER = 1.8
+	VER = 2.0
 	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
 	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
-	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o paintbox.o tuner.o main.o
-	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -c gpl -i >/dev/null
+	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o \
+           paintbox.o tuner.o deskpager.o main.o
+	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -p gxtuner_$(VER) -c gpl -i >/dev/null
 	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
 	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
 	#SOURCES =$(OBJS:%.o=%.cpp)
@@ -24,19 +26,23 @@
 	RED =  "\033[1;31m"
 	NONE = "\033[0m"
 
-gxtuner : config
+    #@default build with jack session support
+all : config
 	@$(MAKE) check
 
-build : $(OBJS)
+    #@link object files to build executable
+link : $(OBJS)
 	@rm -rf gxtuner
 	@echo $(BROWN)
 	- $(CXX) $(LDFLAGS) $(CFLAGS) $(OBJS) $(LIBS) -o gxtuner
 
-check : build
+    #@check if build have worked
+check : link
 	@if [ -f ./gxtuner ]; then echo $(BLUE)"build finish, now run make install"; \
 	else echo $(RED)"sorry, build failed"; fi
 	@echo $(NONE)
 
+    #@create config.h for build with jack session support
 config :
 	-@if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
     echo ''; else \
@@ -49,11 +55,12 @@
 	@echo  "" 
 	@echo  $(LGREEN)"build gxtuner with jack_session support"$(GREEN)
 	@echo  ""
-	
 
+    #@build without jack sessio support
 nosession : nconf
 	@$(MAKE) check
 
+    #@create config.h for build without jack session support
 nconf :
 	-@if [ -f ./config.h 2>/dev/null ] ; then \
     if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
@@ -67,6 +74,7 @@
 	@echo $(RED)"build gxtuner without jack_session support !!"$(GREEN)
 	@echo  ""
 
+    #@build object files
 jacktuner.o : jacktuner.cpp jacktuner.h config.h
 	@rm -rf jacktuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c jacktuner.cpp
@@ -87,7 +95,7 @@
 	@rm -rf gtkknob.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c gtkknob.cc
 
-tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h
+tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h deskpager.h
 	@rm -rf tuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c tuner.cpp
 
@@ -95,10 +103,15 @@
 	@rm -rf paintbox.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c paintbox.cpp
 
-main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h
+deskpager.o : deskpager.cpp deskpager.h
+	@rm -rf deskpager.o
+	-$(CXX) $(LDFLAGS) $(CFLAGS) -c deskpager.cpp
+
+main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h deskpager.h
 	@rm -rf main.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c main.cpp
 
+    #@install all
 install :
 	@mkdir -p $(DESTDIR)$(BIN_DIR)
 	@mkdir -p $(DESTDIR)$(DESKAPPS_DIR)
@@ -108,27 +121,32 @@
 	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
 	@echo $(BLUE)"gxtuner installation finish,"$(NONE)
 
+    #@well, clean up the build
 clean :
 	@echo $(RED)"clean up,"
 	@rm -rf gxtuner config.h *-stamp *~ *.o
 	@echo ". ." $(BLUE)", done"$(NONE)
 
+    #@clean up included the debian folder
 clean-full :
 	@echo $(RED)"clean up,"
 	@rm -rf gxtuner config.h *-stamp *~ *.o
 	@rm -rf ./debian/*.log ./debian/*.substvars ./debian/gxtuner
 	@echo ". ." $(BLUE)", done"$(NONE)
 
+    #@create tar ball
 tar : clean-full
 	@cd ../ && \
-	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner-$(VER)
+	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner
 	@echo $(LGREEN)"build gxtuner-"$(VER)".tar.bz2"$(NONE)
 
+    #@create a tar ball, exclude ./debian
 dist-tar : clean
 	@cd ../ && \
-	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner-$(VER) --exclude=debian
+	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner --exclude=debian
 	@echo $(LGREEN)"build gxtuner-"$(VER)"-nopkg.tar.bz2"$(NONE)
 
+    #@build a debian packet for all arch
 deb : 
 	@rm -rf ./debian
 	@echo $(BLUE)"create ./debian"$(NONE)
@@ -140,6 +158,7 @@
      echo $(RED)"sorry, build fail"$(NONE); fi
 	@rm -rf ./debian
 
+    #@remove the installed stuff
 uninstall :
 	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
 	@echo $(RED)"uninstall gxtuner, . . . finish"$(NONE)

=== debian/changelog ===
gxtuner (2.0-2ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 20 Apr 2013 14:51:16 -0400

gxtuner (2.0-2) unstable; urgency=low

  * Team upload.
  * Bump requirement on libzita-resampler-dev to 1.1.0.
  * Adapt gxtuner to zita-resampler's new API.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Feb 2012 11:19:27 +0100

gxtuner (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 28 Jan 2012 01:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gxtuner
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  libjack-dev,
- libzita-resampler-dev,
+ libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
  libgtk2.0-dev
 Standards-Version: 3.9.2

## gxtuner 2.1

=== Makefile ===
## makefile for gxtuner by @brummer
## please edit to your needs
## set the install Path for gxtuner

    #@defines
	PREFIX = /usr
	BIN_DIR = $(PREFIX)/bin
	SHARE_DIR = $(PREFIX)/share
	DESKAPPS_DIR = $(SHARE_DIR)/applications
	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
	INCLUDE_DIR = /usr/include/
	INCLUDE_L_DIR = /usr/local/include/
	VER = 2.1
	NAME = gxtuner
	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f x11` -lzita-resampler
	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o \
           paintbox.o tuner.o deskpager.o main.o
	DEBNAME = $(NAME)_$(VER)
	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -p $(DEBNAME) -c gpl >/dev/null
	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
	#SOURCES =$(OBJS:%.o=%.cpp)

	## output style (bash colours)
	BLUE = "\033[1;34m"
	BROWN = "\033[0;33m"
	GREEN = "\033[0;32m"
	LGREEN = "\033[1;32m"
	RED =  "\033[1;31m"
	NONE = "\033[0m"

    #@default build with jack session support
all : config
	@$(MAKE) check

    #@build without jack session support
nosession : nconf
	@$(MAKE) check

    #@link object files to build executable
link : $(OBJS)
	@rm -rf $(NAME)
	@echo $(BROWN)
	- $(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(OBJS) $(LIBS) -o $(NAME)

    #@check if build have worked
check : link
	@if [ -f ./$(NAME) ]; then echo $(BLUE)"build finish, now run make install"; \
	else echo $(RED)"sorry, build failed"; fi
	@echo $(NONE)

    #@create resampler.h to set the used zita-resamper version
resamp:
	-@if [ -f ./resample.h ] ; then \
    echo ''; else \
	if [ -f $(INCLUDE_DIR)zita-resampler/resampler.h 2>/dev/null ]; then \
	echo '#include <zita-resampler/resampler.h>' > resample.h; else \
	if [ -f $(INCLUDE_DIR)zita-resampler.h 2>/dev/null ]; then \
	echo '#include <zita-resampler.h>' > resample.h; else \
	if [ -f $(INCLUDE_L_DIR)zita-resampler/resampler.h 2>/dev/null ]; then \
	echo '#include <zita-resampler/resampler.h>' > resample.h; else \
	if [ -f $(INCLUDE_L_DIR)zita-resampler.h 2>/dev/null ]; then \
	echo '#include <zita-resampler.h>' > resample.h; else \
	echo  $(RED)"error: zita-resampler library not found"$(GREEN); fi; fi; fi; fi; fi;
	@if [ -f resample.h ]; then echo  $(LGREEN)"zita-resampler library ok"$(GREEN); \
	else exit 2; fi; 

    #@create config.h for build with jack session support
config : resamp
	-@if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
    echo ''; else \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    echo '#ifndef HAVE_JACK_SESSION' >> config.h ;\
    echo '#define HAVE_JACK_SESSION 1' >> config.h ; \
    echo '#endif' >> config.h  ;\
    fi;
	@echo  $(LGREEN)"build $(NAME) with jack_session support"$(GREEN)
	@echo  ""

    #@create config.h for build without jack session support
nconf : resamp
	-@if [ -f ./config.h 2>/dev/null ] ; then \
    if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    fi; else \
    echo '#define VERSION  "$(VER)"' > config.h ;\
    echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' >> config.h ;\
    fi;
	@echo $(RED)"build $(NAME) without jack_session support !!"$(GREEN)
	@echo  ""

    #@build object files
jacktuner.o : jacktuner.cpp jacktuner.h config.h
	@rm -rf jacktuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c jacktuner.cpp

gxtuner.o : gxtuner.cpp gxtuner.h 
	@rm -rf gxtuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c gxtuner.cpp

cmdparser.o : cmdparser.cpp cmdparser.h config.h
	@rm -rf cmdparser.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) -c cmdparser.cpp

pitchtracker.o : pitchtracker.cpp pitchtracker.h resample.h
	@rm -rf pitchtracker.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c pitchtracker.cpp

gtkknob.o : gtkknob.cc gtkknob.h
	@rm -rf gtkknob.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c gtkknob.cc

tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h deskpager.h
	@rm -rf tuner.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c tuner.cpp

paintbox.o : paintbox.cpp paintbox.h frame.h
	@rm -rf paintbox.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c paintbox.cpp

deskpager.o : deskpager.cpp deskpager.h
	@rm -rf deskpager.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c deskpager.cpp

main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h deskpager.h
	@rm -rf main.o
	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c main.cpp

    #@install all
install :
	@mkdir -p $(DESTDIR)$(BIN_DIR)
	@mkdir -p $(DESTDIR)$(DESKAPPS_DIR)
	@mkdir -p $(DESTDIR)$(PIXMAPS_DIR)
	install $(NAME) $(DESTDIR)$(BIN_DIR)
	install $(NAME).desktop $(DESTDIR)$(DESKAPPS_DIR)
	install $(NAME).png $(DESTDIR)$(PIXMAPS_DIR)
	@echo $(BLUE)"$(NAME) installation finish,"$(NONE)

    #@well, clean up the build
clean :
	@echo $(RED)"clean up,"
	@rm -rf $(NAME) config.h resample.h *-stamp *~ *.o
	@echo ". ." $(BLUE)", done"$(NONE)

    #@clean up included the debian folder
clean-full :
	@echo $(RED)"clean up,"
	@rm -rf gxtuner config.h resample.h *-stamp *~ *.o
	@rm -rf ./debian/*.log ./debian/*.substvars ./debian/gxtuner
	@echo ". ." $(BLUE)", done"$(NONE)

    #@create tar ball
tar : clean-full
	@cd ../ && \
	tar -cf $(NAME)-$(VER).tar.bz2 --bzip2 gxtuner
	@echo $(LGREEN)"build gxtuner-"$(VER)".tar.bz2"$(NONE)

    #@create a tar ball, exclude ./debian
dist-tar : clean
	@cd ../ && \
	tar -cf $(NAME)-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner --exclude=debian
	@echo $(LGREEN)"build gxtuner-"$(VER)"-nopkg.tar.bz2"$(NONE)

    #@build a debian packet for all arch
deb : 
	@rm -rf ./debian
	@echo $(BLUE)"create ./debian"$(NONE)
	-@ $(CREATEDEB)
	@ #@echo $(BLUE)"touch ./debian/dirs"$(NONE)
	@ #-@echo $(DIRS) > ./debian/dirs
	@echo $(BLUE)"try to build debian package, that may take some time"$(LGREEN)
	-@ if $(BUILDDEB); then echo ". ." $(BLUE)", done"$(NONE); else \
     echo $(RED)"sorry, build fail"$(NONE); fi
	@rm -rf ./debian

    #@remove the installed stuff
uninstall :
	rm -rf $(BIN_DIR)/$(NAME) $(DESKAPPS_DIR)/$(NAME).desktop $(PIXMAPS_DIR)/$(NAME).png
	@echo $(RED)"uninstall gxtuner, . . . finish"$(NONE)

=== debian/changelog ===
gxtuner (2.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:42:53 +0000

gxtuner (2.1-1) unstable; urgency=low

  * New upstream release.
  * Droped patches - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 10 Aug 2013 16:51:04 +0200

gxtuner (2.0-3) unstable; urgency=low

  * Bump standards.
  * Set dh/compat 9
  * Update copyright file.
  * Added Keywords entry to desktop file.
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Added patch to fix undefined reference to symbol. (Closes: #713646)
  * Added spelling fix patch.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 02:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libjack-dev,
  libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.2
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gxtuner.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/
 
 Package: gxtuner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gxtuner/usr/share/pixmaps/*.png

=== debian/watch ===
version=3
http://sf.net/guitarix/gxtuner-([\d.]+)\.tar\.bz2

## gxtuner 2.3~repack1

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
 	INCLUDE_DIR = /usr/include/
 	INCLUDE_L_DIR = /usr/local/include/
-	VER = 2.1
+	VER = 2.3
 	NAME = gxtuner
 	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f x11` -lzita-resampler
 	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
-	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o \
+	OBJS = jacktuner.o gxtuner.o cmdparser.o gx_pitch_tracker.o gtkknob.o \
            paintbox.o tuner.o deskpager.o main.o
 	DEBNAME = $(NAME)_$(VER)
 	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -p $(DEBNAME) -c gpl >/dev/null
@@ -105,9 +105,9 @@
 	@rm -rf cmdparser.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c cmdparser.cpp
 
-pitchtracker.o : pitchtracker.cpp pitchtracker.h resample.h
-	@rm -rf pitchtracker.o
-	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c pitchtracker.cpp
+gx_pitch_tracker.o : gx_pitch_tracker.cpp gx_pitch_tracker.h resample.h
+	@rm -rf gx_pitch_tracker.o
+	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c gx_pitch_tracker.cpp
 
 gtkknob.o : gtkknob.cc gtkknob.h
 	@rm -rf gtkknob.o
@@ -125,7 +125,7 @@
 	@rm -rf deskpager.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c deskpager.cpp
 
-main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h deskpager.h
+main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h gx_pitch_tracker.h tuner.h deskpager.h
 	@rm -rf main.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c main.cpp

=== debian/changelog ===
gxtuner (2.3~repack1-1) unstable; urgency=medium

  * Update watch file.
  * Patches apllied upstream.
  * Repack upstream release.
  * Imported Upstream version 2.3~repack1
  * Rename xpm icon to match with upstream desktop file.
  * Fix install file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 26 Jul 2016 15:09:59 +0200

gxtuner (2.1-2) unstable; urgency=medium

  * Bump Standards.
  * Remove menu file.
  * Fix VCS fields.
  * Fix hardening.
  * Install upstream desktop file.
  * Update copyright file.
  * Fix spelling in man pages.
  * Add patch to add french translation to desktop file. (Closes: #823360)
  * Add spelling patch.
  * Clean install file.
  * Remove dirs file.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2016 15:22:11 +0200

=== debian/control ===
Source: gxtuner
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 pkg-config,
 libjack-dev,
 libzita-resampler-dev (>> 1.1.0),
 libfftw3-dev,
 libgtk2.0-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gxtuner.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gxtuner.git
Homepage: http://guitarix.sourceforge.net/

Package: gxtuner
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tuner for Jack
 A simple, small and lightweight guitar/bass tuner for jack.
 Gxtuner comes with a analogue like interface (scale),
 show the tune (char) and the accumulated frequency (Hz).
 .
 It's a break out of the guitarix tuner module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gxtuner/usr/share/pixmaps/*.png

## all the file-exclusion magic is handled by debian/copyright
get-orig-source:
	uscan  --download

=== debian/watch ===
version=3
opts=repacksuffix=~repack1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gxtuner-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/,dversionmangle=s/~repack.*// \
  https://github.com/brummer10/gxtuner/tags .*/v?(\d\S*)\.tar\.gz

## gxtuner 2.4

=== debian/changelog ===
gxtuner (2.4-1) unstable; urgency=medium

  * Not repacking to avoid .gitignore file - just filter-out it.
  * Sign tags.
  * New upstream version 2.4
  * Set dh/compat 10.
  * B-D switch to gtk3.
  * Bump Standards.
  * Update copyright file.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 01:35:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  pkg-config,
  libjack-dev,
  libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
- libgtk2.0-dev
-Standards-Version: 3.9.8
+ libcairo2-dev,
+ libglib2.0-dev,
+ libgtk-3-dev
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gxtuner.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/

## gxtuner 3.0

=== Makefile ===
--- 
+++ 
@@ -10,14 +10,14 @@
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
 	INCLUDE_DIR = /usr/include/
 	INCLUDE_L_DIR = /usr/local/include/
-	VER = 2.3
+	VER = 2.4
 	NAME = gxtuner
-	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f x11` -lzita-resampler
-	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
-	OBJS = jacktuner.o gxtuner.o cmdparser.o gx_pitch_tracker.o gtkknob.o \
+	LIBS = `pkg-config --libs jack gtk+-3.0 gthread-2.0 fftw3f x11` -lzita-resampler
+	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-3.0 gthread-2.0 fftw3f`
+	OBJS = resources.o jacktuner.o gxtuner.o cmdparser.o gx_pitch_tracker.o gtkknob.o \
            paintbox.o tuner.o deskpager.o main.o
 	DEBNAME = $(NAME)_$(VER)
-	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -p $(DEBNAME) -c gpl >/dev/null
+	CREATEDEB = dh_make -y -s -n -e $(USER)@org -p $(DEBNAME) -c gpl >/dev/null
 	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
 	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
 	#SOURCES =$(OBJS:%.o=%.cpp)
@@ -30,9 +30,16 @@
 	RED =  "\033[1;31m"
 	NONE = "\033[0m"
 
+
     #@default build with jack session support
 all : config
 	@$(MAKE) check
+
+    #@build resource file
+resources : resource.xml
+	@echo $(LGREEN)"generate resource file,"$(NONE)
+	-@glib-compile-resources --target=resources.c --generate-source resource.xml
+	-@glib-compile-resources --target=resources.h --generate-header resource.xml
 
     #@build without jack session support
 nosession : nconf
@@ -51,7 +58,7 @@
 	@echo $(NONE)
 
     #@create resampler.h to set the used zita-resamper version
-resamp:
+resamp :
 	-@if [ -f ./resample.h ] ; then \
     echo ''; else \
 	if [ -f $(INCLUDE_DIR)zita-resampler/resampler.h 2>/dev/null ]; then \
@@ -93,6 +100,10 @@
 	@echo  ""
 
     #@build object files
+resources.o : resources.c resources.h
+	@rm -rf resources.o
+	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c resources.c
+
 jacktuner.o : jacktuner.cpp jacktuner.h config.h
 	@rm -rf jacktuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c jacktuner.cpp
@@ -117,7 +128,7 @@
 	@rm -rf tuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c tuner.cpp
 
-paintbox.o : paintbox.cpp paintbox.h frame.h
+paintbox.o : paintbox.cpp paintbox.h 
 	@rm -rf paintbox.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c paintbox.cpp

=== debian/changelog ===
gxtuner (3.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Oct 2020 13:52:25 -0400

gxtuner (3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - Set RRR: no
  * debian/patches: Trap errors (Closes: #914663)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2019 13:58:24 +0100

gxtuner (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Set dh/compat 11.
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Dec 2017 20:07:52 +0100

=== debian/control ===
Source: gxtuner
Section: sound
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 libjack-dev,
 libzita-resampler-dev (>= 1.1.0),
 libfftw3-dev,
 libcairo2-dev,
 libglib2.0-dev,
 libgtk-3-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/gxtuner.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gxtuner
Homepage: https://guitarix.sourceforge.io
Rules-Requires-Root: no

Package: gxtuner
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tuner for Jack
 A simple, small and lightweight guitar/bass tuner for jack.
 Gxtuner comes with a analogue like interface (scale),
 show the tune (char) and the accumulated frequency (Hz).
 .
 It's a break out of the guitarix tuner module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gxtuner/usr/share/pixmaps/*.png
